Get a Nova call (CDR)
GET
/api/v2/nova/calls/{id}
curl --request GET \ --url https://api.sipstack.com/api/v2/nova/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'x-api-key: <x-api-key>'import requests
url = "https://api.sipstack.com/api/v2/nova/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = 'https://api.sipstack.com/api/v2/nova/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}import axios from 'axios';
const options = { method: 'GET', url: 'https://api.sipstack.com/api/v2/nova/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', headers: {'x-api-key': '<x-api-key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}Returns one Nova CDR by UUID. Requires calls:read. 404 when absent or cross-org.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”The CDR.
Media type application/json
object
success
boolean
data
A Nova call detail record.
object
id
string format: uuid
call_id
Carrier/switch call identifier.
string
call_type
string
direction
string
src
Calling party.
string
dst
Called party.
string
call_date
string format: date-time
duration
Total call duration in seconds (including ring time).
integer
billsec
Billable (answered) seconds.
integer
created_at
string format: date-time
Examples
Example cdr
A single Nova CDR
{ "success": true, "data": { "id": "6b1d9f2a-4c7e-4a3b-8d5f-0e1c2b3a4d5e", "call_id": "1765432100.4821", "call_type": "pstn", "direction": "inbound", "src": "+14165550100", "dst": "+16473001234", "call_date": "2026-01-15T14:30:00.000Z", "duration": 42, "billsec": 35, "created_at": "2026-01-15T14:30:42.000Z" }}Missing or invalid API key.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}Call not found in your organization.
Media type application/json
Inline error shape used by the messaging API and management endpoints.
object
success
boolean
error
string
Example
{ "success": false, "error": "Recipient phone number (to) is required"}